KIO::DeleteJob Class Reference

`#include <jobclasses.h>`

Inheritance diagram for KIO::DeleteJob:

## Signals

void | totalFiles (KIO::Job *job, unsigned long files)
void | totalDirs (KIO::Job *job, unsigned long dirs)
void | processedFiles (KIO::Job *job, unsigned long files)
void | processedDirs (KIO::Job *job, unsigned long dirs)
void | deleting (KIO::Job *job, const KURL &file)
Signals inherited from KIO::Job
void | result (KIO::Job *job)
void | canceled (KIO::Job *job)
void | infoMessage (KIO::Job *job, const QString &msg)
void | warning (KIO::Job *job, const QString &msg)
void | connected (KIO::Job *job)
void | percent (KIO::Job *job, unsigned long percent)
void | totalSize (KIO::Job *job, KIO::filesize_t size)
void | processedSize (KIO::Job *job, KIO::filesize_t size)
void | speed (KIO::Job *job, unsigned long speed)

## Public Member Functions

| DeleteJob (const KURL::List &src, bool shred, bool showProgressInfo)
KURL::List | urls () const
Public Member Functions inherited from KIO::Job
virtual void | kill (bool quietly=true)
int | error () const
int | progressId () const
const QString & | errorText () const
QString | errorString () const
QStringList | detailedErrorStrings (const KURL *reqUrl=0L, int method=-1) const
void | showErrorDialog (QWidget *parent=0L)
void | setAutoErrorHandlingEnabled (bool enable, QWidget *parentWidget=0)
bool | isAutoErrorHandlingEnabled () const
void | setAutoWarningHandlingEnabled (bool enable)
bool | isAutoWarningHandlingEnabled () const
void | setInteractive (bool enable)
bool | isInteractive () const
void | setWindow (QWidget *window)
QWidget * | window () const
void | updateUserTimestamp (unsigned long time)
void | setParentJob (Job *parentJob)
Job * | parentJob () const
void | setMetaData (const KIO::MetaData &metaData)
void | addMetaData (const QString &key, const QString &value)
void | addMetaData (const QMap< QString, QString > &values)
void | mergeMetaData (const QMap< QString, QString > &values)
MetaData | outgoingMetaData () const
MetaData | metaData () const
QString | queryMetaData (const QString &key)
KIO::filesize_t | getProcessedSize ()

## Protected Slots

void | slotStart ()
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &list)
virtual void | slotResult (KIO::Job *job)
void | slotProcessedSize (KIO::Job *, KIO::filesize_t data_size)
void | slotReport ()
Protected Slots inherited from KIO::Job
virtual void | slotResult (KIO::Job *job)
void | slotSpeed (KIO::Job *job, unsigned long speed)
void | slotInfoMessage (KIO::Job *job, const QString &msg)
void | slotSpeedTimeout ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KIO::Job
| Job (bool showProgressInfo)
virtual void | addSubjob (Job *job, bool inheritMetaData=true)
virtual void | removeSubjob (Job *job)
void | removeSubjob (Job *job, bool mergeMetaData, bool emitResultIfLast)
void | emitPercent (KIO::filesize_t processedSize, KIO::filesize_t totalSize)
void | emitSpeed (unsigned long speed)
void | emitResult ()
void | setProcessedSize (KIO::filesize_t size)
unsigned long | userTimestamp () const
int & | extraFlags ()

## Additional Inherited Members

Protected Types inherited from KIO::Job
enum | { EF_TransferJobAsync = (1 << 0), EF_TransferJobNeedData = (1 << 1), EF_TransferJobDataSent = (1 << 2), EF_ListJobUnrestricted = (1 << 3) }
Protected Attributes inherited from KIO::Job
QPtrList< Job > | subjobs
int | m_error
QString | m_errorText
unsigned long | m_percent
int | m_progressId
QTimer * | m_speedTimer
QGuardedPtr< QWidget > | m_window
MetaData | m_outgoingMetaData
MetaData | m_incomingMetaData

## Detailed Description

A more complex Job to delete files and directories.

Don't create the job directly, but use KIO::del() instead.

See also
  KIO::del()

Definition at line 1763 of file jobclasses.h.

## Constructor & Destructor Documentation

DeleteJob::DeleteJob | ( | const KURL::List & | src,
|  | bool | shred,
|  | bool | showProgressInfo
| ) |  |

Do not create a DeleteJob directly.

Use KIO::del() instead.

Parameters

  src | the list of URLs to delete
  shred | true to shred (make sure that data is not recoverable)a
  showProgressInfo | true to show progress information to the user

See also
  KIO::del()

Definition at line 3963 of file job.cpp.

## Member Function Documentation

void KIO::DeleteJob::deleting | ( | KIO::Job * | job,
|  | const KURL & | file
| ) |  |

signal

Sends the URL of the file that is currently being deleted.

Parameters

  job | the job that emitted this signal
  file | the URL of the file or directory that is being deleted

void KIO::DeleteJob::processedDirs | ( | KIO::Job * | job,
|  | unsigned long | dirs
| ) |  |

signal

Sends the number of processed directories.

Parameters

  job | the job that emitted this signal
  dirs | the number of processed dirs

void KIO::DeleteJob::processedFiles | ( | KIO::Job * | job,
|  | unsigned long | files
| ) |  |

signal

Sends the number of processed files.

Parameters

  job | the job that emitted this signal
  files | the number of processed files

void DeleteJob::slotProcessedSize | ( | KIO::Job * | ,
|  | KIO::filesize_t | data_size
| ) |  |

protected slot

Forward signal from subjob.

Definition at line 4229 of file job.cpp.

void KIO::DeleteJob::totalDirs | ( | KIO::Job * | job,
|  | unsigned long | dirs
| ) |  |

signal

Emitted when the toal number of direcotries is known.

Parameters

  job | the job that emitted this signal
  dirs | the total number of directories

void KIO::DeleteJob::totalFiles | ( | KIO::Job * | job,
|  | unsigned long | files
| ) |  |

signal

Emitted when the total number of files is known.

Parameters

  job | the job that emitted this signal
  files | the total number of files

KURL::List KIO::DeleteJob::urls | ( |  | ) | const

inline

Returns the list of URLs.

Returns
  the list of URLs.

Definition at line 1782 of file jobclasses.h.

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys